Форум по программному обеспечению и оборудованию > > >

Особенность обновления на версию 71 и последующее обновление данной версии на 71сп1, или выше

06.12.2016 8:52


[ТЕМА ЗАКРЫТА]
Опции темы
22.06.2016 20:00  
winmasta
Цитата:
Сообщение от mazursergey
А зачем ставил патч, если залогинил кассира.




Написано же вроде один из пунктов. Или я что-то не понимаю?
Отсюда я понял (после того как сделал наоборот) , что сначала обновление с 71 старая, до 71сп1, а потом патч, но все равно не могу понять почему 71сп1 с нуля ставлю и касса не работает
 
22.06.2016 20:44  
mazursergey
Цитата:
Сообщение от winmasta
Отсюда я понял (после того как сделал наоборот) , что сначала обновление с 71 старая, до 71сп1, а потом патч, но все равно не могу понять почему 71сп1 с нуля ставлю и касса не работает

А ты исправления для сервера поставил?
Цитата:
sf-8480_71000-ukmserver-fix - исправление для сервера УКМ4 для установки новых Linux касс
 
23.06.2016 04:49  
winmasta
УКМ4
версия 71
исправление ошибки 8480 для сервера УКМ4

Содержание
1.Общие сведения
2.Порядок установки


1.Общие сведения

Исправление предназначено для устранения ошибки 8480.
Исправление требуется установить на сервер УКМ4 перед установкой ПО на Linux касс.
После установки Linux касс не требуется дополнительно устанавливать на них исправления
sf-8480_71000-lillo-linux-fix_no_reboot
sf-8480_71000-lillo-linux-fix_reboot
sf-8480_71000-ukmclient-linux-fix_no_reboot
sf-8480_71000-ukmclient-linux-fix_reboot

2.Порядок установки

Для установки исправления выполните следующие действия:
1) На сервере УКМ4 версии 71 замените файлы
"c:\Program Files\Apache Group\Apache2ukm\htdocs\ukminstall\ukmcli-build.tgz"
"c:\Program Files\Apache Group\Apache2ukm\htdocs\ukminstall\lillo-build.tgz"
файлами
ukmcli-build.tgz
lillo-build.tgz
из данного комплекта
2) Выполните подготовку загрузочного носителя для установки Linux касс
3) Выполните установку Linux касс

Отсюда я понял, что

1. этот патч используется для старой 71 версии сервера
2. патч ставится для того, чтобы потом обновлять кассы с сервера автообновлением с версий младще 71 старой и не накатывать патчи на кассы

т.е. в моем случае он не нужен, поправьте если не так
 
23.06.2016 04:52  
winmasta
Обновил третью кассу (CheckWay который до 55 но в алюминиевом черном корпусе) без установки патча, т.е.
Сервер 71сп1 -> касса 71 старая, обновления залиты, кассир залогинен, тыкаем Автообновлдения. Вроде все прошло чисто. Вот не знаю ставить патч или нет )
 
23.06.2016 06:19  
winmasta
На проблемную кассу накатил патч, она завелась, работает. Кстати чтобы сделать UKM autostart ON нужно создать пустой файл (touch) с именем autostart в директории /usr/local/ukmclient
 
23.06.2016 10:23  
Dim
письмо из ТП:
Цитата:
Уважаемый клиент!
Поступило множество вопросов по установке версии, сервис паков и патча.

Хочется еще раз прояснить ситуацию:

1. Если Вы еще не скачали или не установили версию ПО УКМ4 – 71. Необходимо повторно скачать новые пакеты обновления и использовать их. (к сожалению перевыпуск версии отложен на 1 день, ожидаем выпуск 23.06.2016).

2. Если Вы уже скачали и установили версию ПО УКМ4 – 71. То при установке сервис пака, возникнет проблема с обновлением кассовых терминалов.
Поэтому для того, чтобы кассовые терминалы успешно обновились, необходимо:

Перед обновлением кассовых терминалов на версию 71 сп1 или выше, обязательно:
- Отключить параметр АВТООБНОВЛЕНИЕ на вебе сервера (запретить кассе обновляться).
- Установить 71 сп1 на сервер.
- Включить кассу (если она выключена).
- Зарегистрировать на ней любого кассира (залогиниться).
- Включить параметр АВТООБНОВЛЕНИЕ кассового термина на вебе сервера УКМ4.
- Провести обновление касс.

------------------------------------ИЛИ-----------------------------------------

Поставить патч для кассы (выпуск 22.06.2016, будет находиться на FTP, вместе с версией. Там же будет находиться инструкция по его установке.)
После чего выполнить обновление кассового терминала до версии 71 сп1.

P.S. Инструкция по установке патчей на кассу, во вложении.
 
"Спасибо" Dim от:
23.06.2016 12:33  
Dim
перевыложена 71 версия. качаем
 
23.06.2016 14:39  
Kryukov
У меня после обновления на кассе пробиваю чек...
после того как вышел чек и QR код напечатало касса виснет ...
14:07:50: 0x00004000: FATAL: debug#/usr/patches/ServPlus_rel-71_8480/ukm/libukm/component_sp101frk.cpp(133) FiscalPrinter_close_document: expression 'DocumentType != 0x0' failed
14:07:50: 0x00004000: FATAL: diag: КОД НЕИЗВЕСТЕН НЕИЗВЕСТНАЯ ОШИБКА expression 'DocumentType != 0x0' failed

снова ввод и касса перегружается, чек везде регистрируется ...

на кассе 101ФРК 130
Миниатюры
Нажмите на изображение для увеличения
Название: skrin.jpg
Просмотров: 24
Размер:	187.4 Кб
ID:	7535   Нажмите на изображение для увеличения
Название: chek.jpg
Просмотров: 25
Размер:	119.0 Кб
ID:	7536  
 
23.06.2016 15:01  
Alexei
Так у нас было на 71 версии без сервис пака, правда, QR-код не печатался. После установки сп1 касса перестала падать, но QR-код все равно не печатается.
 
23.06.2016 15:41  
Kryukov
Цитата:
Сообщение от Alexei
Так у нас было на 71 версии без сервис пака, правда, QR-код не печатался. После установки сп1 касса перестала падать, но QR-код все равно не печатается.
тебе продержка что нибудь ответила ? или
"Принята заявка на исполнение силами Техподдержки УКМ4" и тишина ...
 
 


Опции темы



Часовой пояс GMT +3, время: 08:52.

Все в прочитанное - Календарь - RSS - - Карта - Вверх 👫 Яндекс.Метрика
Форум сделан на основе vBulletin®
Copyright ©2000 - 2016, Jelsoft Enterprises Ltd. Перевод: zCarot и OlegON
В случае заимствования информации гипертекстовая индексируемая ссылка на Форум обязательна.